/*++

Copyright (c) Microsoft Corporation.  All rights reserved.

    THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
    KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
    IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
    PURPOSE.

Module Name:

    osserver.c

Abstract:   

Original Author:

    Dave Probert

Environment:

    User mode Win32 console application

Revision History:


--*/
#include <windows.h>
#include <winioctl.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "..\inc\OZ-UTokyo2004.h"

int go;
int here;

void
printmsg (char *s)
{
    (void)   OzSyscall ( myos_printmsg,
                         (ULONG_PTR) s,
                         (ULONG_PTR) strlen(s)+1, // include NUL
                         (ULONG_PTR) 0,
                         (ULONG_PTR) 0 );
}

VOID _cdecl main( ULONG argc, PCHAR argv[] )
{
    printmsg("*************************\ngot this message?\n*************************\n");
}

